
local shader
local img

function love.load()
	shader = love.graphics.newShader(nil, love.filesystem.read("shader.glsl"))
	img = love.graphics.newImage("test.png")
end

function love.draw()
	shader:send("inputSize", {img:getDimensions()})
	shader:send("outputSize", {img:getDimensions()})
	shader:send("textureSize", {img:getDimensions()})
	love.graphics.setShader(shader)
	love.graphics.draw(img)
	--~ love.graphics.print("Test")
end


